Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 18/05/2021 trong tất cả các lĩnh vực

  1. 2 điểm
    Đảm bảo rằng Toolbar "Layers" được show là tắt Layer dễ dàng thôi, ai lại đi viết lisp làm gì.
  2. 2 điểm
    Hơi sức đâu mà các member đi viết những lisp mà nếu thớt làm bằng tay mất 1 phút còn các bác viết mất 10 phút (?). Cộng đồng còn những người khác cần lisp hơn!
  3. 2 điểm
    Chủ thớt ở mục #1 xin code VBA chứ đâu có xin lisp đâu nà!
  4. 2 điểm
    Sau hơn 1 năm phát hành Lisp IN QDV- in nhanh bản vẽ Model - Layout, mình nhận thấy nhu cầu sử dụng lisp in nhanh rất nhiều. Nên mình xin chia sẻ thêm với các bạn 1 Lisp in nhanh bản vẽ khác, rút gọn, đơn giản hơn, dễ sử dụng hơn tặng các bạn. Sử dụng chủ yếu in nhiều bản vẽ trong Model hoặc trong 1 Layout. Cách sử dụng rất đơn giản mình không đề cập thêm, và 1 điều đặc biệt là lisp không hạn chế số máy sử dụng, nên các bạn thoải mái tải về và dùng cho các máy khác nhau, không cần serial. Mọi ý kiến đóng góp xin gửi về mail: nvdoangt@gmail.com Nếu thấy hay thì cho mình 1 Like động viên! Xin cảm ơn! Link tải: Lệnh VD: VD-Lisp In Nhanh.rar - https://www.mediafire.com/file/9dgynql2nqx75m0/VD-Lisp_In_Nhanh.rar/file Lệnh: DPL DPL - Lisp In nhanh.rar - http://www.mediafire.com/file/w2sxuorwjxpg8fb/DPL+-+Lisp+In+nhanh.rar/file PS: Lisp hay nhưng lượt tương tác đánh giá không đạt như mong muốn, có 1 số phản hồi không tích cực (Chia sẻ free nhưng nhiều bạn muốn nhiều hơn thế..có lời lẽ yêu cầu tác giả không mấy thiện cảm. Nên mình ngừng phát hành Lisp này (từ ngày 1/3/2021) những bạn đã sử dụng trước đó vẫn dùng được oke nhé!) Cảm ơn các bạn đã ủng hộ!
  5. 2 điểm
    Khi định dạng màu in mình chỉ định dạng được các màu theo hệ index color nghĩa là màu từ 0 đến 250. Còn màu theo hệ True color thì không định dạng đưuơc5 nên nó cứ in ra màu thôi. Bạn chọn 1 đối tượng mà không in đen được xong nhìn chổ hiểu thị màu nó dạng như này là chính xác nó đang định dạng theo màu True color. Bạn chỉnh nó về màu index color là in đen được thôi.
  6. 1 điểm
    Thay vì lệnh Filter (FI) mặc định chọn rồi xoá xoá. Lisp Quick Filter (QF) này sẽ chọn một số thuộc tính thông dụng để lọc, giảm bớt vài thao tác thừa không cần thiết: ;; List Box - Lee Mac ;; Displays a DCL list box allowing the user to make a selection from the supplied data. ;; msg - [str] Dialog label ;; lst - [lst] List of strings to display ;; bit - [int] 1=allow multiple; 2=return indexes ;; Returns: [lst] List of selected items/indexes, else nil (defun LM:listbox ( msg lst bit / dch des tmp rtn ) (cond ( (not (and (setq tmp (vl-filename-mktemp nil nil ".dcl")) (setq des (open tmp "w")) (write-line (strcat "listbox:dialog{label=\"" msg "\";spacer;:list_box{key=\"list\";multiple_select=" (if (= 1 (logand 1 bit)) "true" "false") ";width=50;height=15;}spacer;ok_cancel;}" ) des ) (not (close des)) (< 0 (setq dch (load_dialog tmp))) (new_dialog "listbox" dch) ) ) (prompt "\nError Loading List Box Dialog.") ) ( t (start_list "list") (foreach itm lst (add_list itm)) (end_list) (setq rtn (set_tile "list" "0")) (action_tile "list" "(setq rtn $value)") (setq rtn (if (= 1 (start_dialog)) (if (= 2 (logand 2 bit)) (mapcar '(lambda ( x ) (nth x lst)) (read (strcat "(" rtn ")"))) (read (strcat "(" rtn ")")) ; (mapcar '(lambda ( x ) (nth x lst)) (read (strcat "(" rtn ")"))) ) ) ) ) ) (if (< 0 dch) (unload_dialog dch) ) (if (and tmp (setq tmp (findfile tmp))) (vl-file-delete tmp) ) rtn ) ;====================================Main Lisp: Quick Filter (QF)====================================== (defun C:QF (/ ss ss1 ob lyrname colr blkname txth txtn lstQF lstDCL lstidx lstfi a) (setq ss1 (entsel "\nSelect Object: ")) (while (or (null ss1) (= "" (cdr (assoc 0 (entget (car ss1))))) ) (setq ss1 (entsel "\nSelect Object Again: ")) ) (setq ss (entget (car ss1))) (setq ob (cdr (assoc 0 ss))) (setq lstQF (list (cons 0 ob))) (if (= "INSERT" ob) (setq lstDCL (list (strcat "Object : " "Block"))) (setq lstDCL (list (strcat "Object : " ob))) );endif (setq lyrname (cdr (assoc 8 ss))) (setq lstQF (append lstQF (list (cons 8 lyrname)))) (setq lstDCL (append lstDCL (list (strcat "Layer : " lyrname)))) (if (= 62 (car (assoc 62 ss))) (progn (setq colr (cdr (assoc 62 ss))) (setq lstQF (append lstQF (list(cons 62 colr)))) (setq lstDCL (append lstDCL (list (strcat "Color : " (rtos colr 2 0))))) );progn (progn (setq lstQF (append lstQF '((62 . 256)))) (setq lstDCL (append lstDCL (list (strcat "Color : " "256")))) ) ) ;end if (if (= 2 (car (assoc 2 ss))) (progn (setq blkname (cdr (assoc 2 ss))) (setq lstQF (append lstQF (list (cons 2 blkname)))) (setq lstDCL (append lstDCL (list (strcat "Block Name : " blkname)))) );end progn ) ;end if (if (= 40 (car (assoc 40 ss))) (progn (setq txth (cdr (assoc 40 ss))) (setq lstQF (append lstQF (list (cons 40 txth)))) (setq lstDCL (append lstDCL (list (strcat "Text Height : " (rtos txth))))) );end progn ) ;end if (if (= 7 (car (assoc 7 ss))) (progn (setq txtn (cdr (assoc 7 ss))) (setq lstQF (append lstQF (list (cons 7 txtn)))) (setq lstDCL (append lstDCL (list (strcat "Text Style Name : " txtn)))) );end progn ) ;end if (setq lstidx (LM:listbox "Selection to Filter:" lstDCL 1)) (foreach a lstidx (setq lstfi (append lstfi (list (nth a lstQF)))) ) (sssetfirst nil (ssget lstfi)) (Print "Write by: NghiaKieu") (princ) )
  7. 1 điểm
    Chào ACE Mình đã tổng hợp các hình thức và kiểu cách thi công cửa tự động cảm biến AUTODOOR VIET NAM chia sẻ các bác dùng, file DWG. Em chia sẻ tại link: http://www.mediafire.com/file/4curuuoqlxqwrjn/B%E1%BA%A3n_v%E1%BA%BD_c%E1%BB%ADa_t%E1%BB%B1_%C4%91%E1%BB%99ng_File_CAD.dwg/file Bên em chuyên thi công CỬA KÍNH TỰ ĐỘNG CẢM BIẾN MẮT THẦN, MOTOR CỔNG TỰ ĐỘNG CÁC LOẠI, MÁI KÍNH TỰ ĐỘNG ... Chi tiết các bác xem tại w w w . autodoorvietnam .com Các bác cần thì liên hệ em nhé. Hotline: 0904.654.816
  8. 1 điểm
    Cái khẳng định ni có vẻ sai sai
  9. 1 điểm
    Mục đích để làm gì ? Có vẻ khá phụ thuộc lisp nhỉ. (Defun C:Loff () (setvar "cmdecho" 0) (setq LAY "dimension") (if (= LAY (getvar "clayer")) (princ (strcat "\nLayer " LAY " khong the FRZ (Layer hien hanh).") ) (progn (command "_.LAYER" "FREEZE" LAY "") (princ (strcat "\nLayer " LAY " da FRZ.")) ) ) (princ) ) (Defun C:Lon () (setvar "cmdecho" 0) (Command "_.LAYER" "_THAW" "*" "") (princ) ) P/s Chỉ sửa lại tí của lisp bạn nào đó chia sẻ.
  10. 1 điểm
    Tôi có cái tool bé xíu, viết cho mấy mục đích nho nhỏ, có phần chọn offset trong/ngoài đó, bác có thể tải về dùng thử ở đây.
  11. 1 điểm
    Bác @anhcos giỏi thật, biết những 3 thứ tiếng luôn !! Bác chuyên code CNC phải không, cho nên mới kỳ công tạo nên cả một cái app để xài, bái phục !!
  12. 1 điểm
    Soft hỗ trợ xuất code gia công 2D và các tiện ích bao gồm giao diện CAD tự tiết kế riêng, có dòng lệnh, nói chung là bắt chước theo AutoCAD. Bộ thư viện thì mình viết bằng 3 ngôn ngữ là VB C# và Python:
  13. 1 điểm
    https://codingpearls.com/revit-addin-csharp/nhap-mon-revit-addin-voi-csharp.html
  14. 1 điểm
    Test cho chủ thớt. Creat block.rar Nếu đúng ý thì inbox mình cốc cafe (theo trend) ^_^
  15. 1 điểm
    Dạo này zalo khấm khá quá, mình cũng theo trend, zalo 0359935771 nếu muốn tạo block theo ý của bạn.
  16. -1 điểm
    Trước là mình cảm ơn bạn Bee, nhưng bạn đưa *.vlx mình không biết nhập cái lệnh gì làm sao mà test được nhỉ! Còn cafe hay bear bọt là bình thường thôi.
  17. -1 điểm
    Tình hình là mình có các Block và có text nằm bên trong đường tròn, làm sao có thể bung cửa sổ quét chọn cùng một lúc 3 cái sau đó nhập lisp thì có được block, mình ngồi làm thủ công thấy lâu quá, nhờ A, C, E có kiến thức chuyên môn sâu rộng giúp đỡ mình. Xin Cảm ơn! Tên Block có thể đặt tên bất kỳ, mình cũng biết sơ bộ việc đặt tên Block thì không được trùng tên với Block hiện hành. Mục đích là mình cần cái Block, còn nó tên gì cũng được. Điểm chèn là tâm của đường tròn CREAT BLOCK.dwg
  18. -1 điểm
    Cho hỏi tí anh Gia_Bach, và các bạn biết: nếu viết C# cho Revit thì trong các mục trên cần thay đổi những mục nào? Thanks!
  19. -1 điểm
    Chào các bác! Bản vẽ của em đã có sẵn block (hoặc text) nhờ các bác làm lisp tự động vẽ đường pline nối các đối tượng theo tùy chọn của mình: trái-phải, phải-trái, trên-dưới, dưới-trên Em xin cảm ơn!
  20. -1 điểm
    sao mình dùng zxw mà không thể vẽ lưới trục kích thước khác kích thước lưới trục mặc định. Mình dùng cad 2020
  21. -1 điểm
    Em đang hoàn thành bài đồ án, có một số chỗ em loay hoay mãi không sửa được mà cũng sắp đến hạn rồi nên đành nhờ các tiền bối trên này, có thể hỗ trợ em sửa 1 vài chi tiết được không ạ. Xong em xin gửi chút tiền cà phê ạ :))) Ai chuyên làm về dân dụng, biết bố trí ván khuôn hãy giúp em với ạ. Cảm ơn các tiền bối. Nội dung sửa chỉ có thế này thôi ạ: Sửa bề rộng giáo chống từ 1000 -> 1200, bổ sung nội dung ghi chú, sửa lại tên mặt bằng. Hạn là T2 tuần sau là em phải có bài nộp rồi mà mấy lỗi này em ko làm được cũng ngại quá. Nếu được xin hãy liên hệ với em qua: nguyenmanhhiep6@gmail.com
  22. -1 điểm
  23. -1 điểm
    mình muốn tắt hàng loạt các bản vẽ bạn ạ. nếu tắt ở toolbar thì phải bật từng bản vẽ để tắt. thế nên mình mới muốn hỏi viết lisp
  24. -1 điểm
    Xin mọi người giúp đỡ lisp ẩn 1 layer cố định mà không cần chọn đối tượng. Ví dụ cần ẩn layer 'dimension' mà khi gõ lệnh layoff không cần kích vào đối tượng mang layer đó. Cám ơn mọi người ạ!
  25. -1 điểm
    Chào các anh chị trên diễn đàn, mình có file cad đối tượng là block aucad_proxy_entity. khi mình phá đối tượng bằng lệnh explode thì đối tượng biến mất. Mong anh chị nào biết về trường hợp này chỉ giúp với. file nặng quá em ko add lên đây được ạ. Thanks All!
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×